Jump to content
  • 0
Everade

Searching for stable up to date client

Question

Ok...

Ones upon a few years, i see myself forced to update the client of course.

However every single ******* time it's the same ********.

So please, is anyone out there with some great advice, help and kindness?

 

 

I mean, it's quite simple.

I try to avoid it as long as i can, BUT when i finally decided to update it, i want to be as up to date as possible.

I saw that rAthena recently implemented 2014 client support.
So i gave it a shot, and failed hard as always.

I've searched myself through the whole wide web, including hercules.

But there's no real answer to all my questions.

 

 

 

I've tested

2014-02-05b  (set to db ver 46 if i got that correct)
2014-10-16

2014-02-05b,  is able connect to the login server, but char server times out on the client, (no response on char server at all)

2014-10-16  crashes right after entering login information (no error message)

 

 

So please anyone.

I need information on:
Most up to date, stable and usable client for live environment.
Every single hint on all those freaking bugs and traps i'm about to fall in. (broken diffs, broken ingame features etc...)
I'm getting to old for this... /sigh
Edited by Everade
Link to comment
Share on other sites

19 answers to this question

Recommended Posts

So which out is the best of all stable client around 2013 and 2014? so far i've used the 2014-02-05b but i'm quite satisfy with it but i want some feedback :)

Link to comment
Share on other sites

2013's 12-23 and 08-07 have been extremely good to me. I've been playing around with 2014-10-22 as well and it's been stable.

 

So which out is the best of all stable client around 2013 and 2014? so far i've used the 2014-02-05b but i'm quite satisfy with it but i want some feedback :)

Do you guys use it on a live server? Coz I was planning to update my client from 2013-12-23 to a 2014 client and use it on a live server so roulette and per char gender will be supported.

Link to comment
Share on other sites

My live server is running on 2013-12-23. I have yet to try 2014-10-22 live, but on private tests it's been stable for me. I know Lai of LimitRO is running a 2014 client and is stable with it.

Link to comment
Share on other sites

I wasn't able to get 2014 clients running.

 

02-05 times out when connecting to the char server. char server doesn't give any response.

 

Yet the 10-22 crashes right after trying to log in. So it's not even able to send anything to the login server,

Link to comment
Share on other sites

Just noticed that my login server disconnects me again RIGHT AFTER a successfull login.

Anyone knows what's wrong here?

 

 

[status]: Connection of the account 'testaccount' accepted.

[info]: Closed connection from '62.***.**.**'.
Link to comment
Share on other sites

 

Just noticed that my login server disconnects me again RIGHT AFTER a successfull login.

Anyone knows what's wrong here?

 

 

[status]: Connection of the account 'testaccount' accepted.

[info]: Closed connection from '62.***.**.**'.

 

 

 

I guess your right.

ATFMYrU.png

 

everytime i logged in, it pop-up with this. i'm currently using 2014-02-05b

i guess it is just a normal? when i tested it in my old rAthena revision using 2010-07-30 it's just the same i guess its just a NORMAL.

Edited by Azeroth
Link to comment
Share on other sites

Ok found the issue.
For some reason it seems to work different than my old version.

There was an issue with the char_ip setting.

It works on my live server though.... at least i've found it.


After another few hours of testing and debugging i've found out that the packet_db from rAthena is completly messed up.

 

I had to manualy fix some things for the client 2014-02-05b
The packet keys were totally, also one packet, while it seems to contain a few more packets which probably shouldn't be there, i don't know.

 

 

So after fixing my packet_db on my own, i was able to get up to the map server without any rejection of a "wrong packet" error.

Yet the client crashes right away.

Edited by Everade
Link to comment
Share on other sites

Yes, I believe you're the only one feeling this way. I don't know why you decided to go for 2014-02-05b after being told 2014 wasn't very thoroughly tested and we recommended you use a 2013 client.

Your previous post before that one had no details, so nobody was able to help you, and you just exploded into a huge rant, making people feel even less inclined to bother.

Link to comment
Share on other sites

2014-02-05b isn't even supported by rAthena. You need to stick with 2014-10-16 or 2014-10-22.

 

As for your rejections, yes, it could be that you didn't have your IP setup correctly in your config. I ran into that issue as well while testing the newer clients and saw no one out there had posted anything about it since not many people ran into it. The problem was because I was using imported values that I just copied over while testing, but later fixed the issue when I started everything clean and saw what I was doing wrong.

 

Make sure your data.grf is fully up to date as well since you're using a newer client. Grab the updated LUAs. Diff your client using NEMO as it is pretty much the most stable and up-to-date patcher out there. By default the server should have packet obfuscation on. Follow the steps in the link before for making sure your packet obfuscation is setup correctly. And, that's it. You should be good to go.

  • Upvote 1
Link to comment
Share on other sites

 

Yes, I believe you're the only one feeling this way. I don't know why you decided to go for 2014-02-05b after being told 2014 wasn't very thoroughly tested and we recommended you use a 2013 client.

Your previous post before that one had no details, so nobody was able to help you, and you just exploded into a huge rant, making people feel even less inclined to bother.

 

Yes 2013 is recommended.

 

I've tested (right before my huge rant) 2013-08-07aRagexe

Yet exact the same issue.

 

 

But thanks to everyone who tried to help.

It's really not personal, it's just driving me crazy


2014-02-05b isn't even supported by rAthena. You need to stick with 2014-10-16 or 2014-10-22.

 

As for your rejections, yes, it could be that you didn't have your IP setup correctly in your config. I ran into that issue as well while testing the newer clients and saw no one out there had posted anything about it since not many people ran into it. The problem was because I was using imported values that I just copied over while testing, but later fixed the issue when I started everything clean and saw what I was doing wrong.

 

Make sure your data.grf is fully up to date as well since you're using a newer client. Grab the updated LUAs. Diff your client using NEMO as it is pretty much the most stable and up-to-date patcher out there. By default the server should have packet obfuscation on. Follow the steps in the link before for making sure your packet obfuscation is setup correctly. And, that's it. You should be good to go.

I've realised that 2014-02-05b isn't even supported. But only after checking all files on my own. (the missing packet version with all those question marks etc... Yet hercules has a complete packet db in their source already)
According to the rAthena forums it looked as the most promising and up to date client.

I've first tried 2014-10-22 because you stated in the news that it's now officialy supported. Yet that client crashes right away so i tried the next one.


That's what i'm trying to say.
It's hard to find out with what you're good to go.

The topic "official supported clients list" is SUPER outdated.

My data.grf is fully up to date.
I've tested 6 different FullClient setups. (also not fully up to date)
with and without rdata.grf
With old luas
latest luas

luas released on client release date

diffed using NEMO
tested through all diffs if one may be broken
Tested WITH and WITHOUT packet obfuscation. (client diff incuding source code)

 

 

I've wasted 2 weeks already.

as always

 

Edited by Everade
Link to comment
Share on other sites

Yeah, I'm sorry to say but I would have been glad to help you get your stuff working, and after that awful reply, I'd rather not deal with you personally. 

Good luck finding help from somebody else. It's no surprise you find none.

Link to comment
Share on other sites

The Client Support topic isn't that out dated. Truthfully speaking the 2014 client was missing (I just added it in). Client development has become very slow after the clients were packed with Themida.

 

If you've done all those steps, provide the errors you are hitting that way people can provide more accurate answers.

Link to comment
Share on other sites

Yeah, I'm sorry to say but I would have been glad to help you get your stuff working, and after that awful reply, I'd rather not deal with you personally. 

Good luck finding help from somebody else. It's no surprise you find none.

Thank you ;)

 

 

The Client Support topic isn't that out dated. Truthfully speaking the 2014 client was missing (I just added it in). Client development has become very slow after the clients were packed with Themida.

 

If you've done all those steps, provide the errors you are hitting that way people can provide more accurate answers.

From what i remember that topic included 2012-04-10aRagexeRE as the latest client.

Whatever...

I've provided the error already.

There's none.

It's a simple client crash without any error at all, right after loading the map server.

Link to comment
Share on other sites

I just had to chime in after reading through all that. I'm quite positive it's related to the New Prontera.

If so this link might help you; http://www.mediafire.com/download/7hcz6u9vl4vjhb4/newprontera.grf(Credits to Tokeiburu)

The whole post is on Hercules, you can search for it there, "What do you think about the new Prontera?" topic.

If that fails, I could provide you an automated client setup using 2013-08-07 for free, just send me a PM.

 

So yeah, I totally don't think Client Setup is all that confusing. With all the tools that are currently available (NEMO), it's actually pretty easy.

I understand that it can be frustrating at times, but to keep flaunting your "10 years of RO experience" doesn't help you one bit.

  • Upvote 1
Link to comment
Share on other sites

A newly created char starts in the novice grounds, not prontera.
So no, it's not the problem.

But thanks for the information on a new prontera, that's new for me ^^

Link to comment
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.

Guest
Answer this question...

×   Pasted as rich text.   Paste as plain text instead

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.



×
×
  • Create New...

Important Information

By using this site, you agree to our Terms of Use and Privacy Policy.